<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.TxnSnapshot Property
DatabaseEnvironment Class See Also Send Feedback

If true, all transactions in the environment are started as if Snapshot was passed to BeginTransaction()()(), and all non-transactional cursors are opened as if SnapshotIsolation was passed to Cursor()()().

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool TxnSnapshot { get; set; }

Visual Basic (Declaration)

    Public Property TxnSnapshot As Boolean

Visual C++

    public:
    property bool TxnSnapshot {
    	bool get ();
    	void set (bool value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace